Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Stage Reviews

List
GET /serviceformModules/{moduleId}/forms/{formId}/stagereviews
https://api.relesystest.net/api/v1.4/serviceformModules/{moduleId}/forms/{formId}/stagereviews
Get a list of stage reviews for the form with ID formId

Please note: This endpoint is only available if stages are enabled on the service form module as well as stage approvals on the specific form.

status - This field displays the status of the review. Currently, the available statuses to filter on are:
  • Pending
  • Approved
  • Rejected

Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
moduleId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
reviewDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"b1b60a88-f9c2-42d4-87b8-32373bc54d8b","url":null,"stageId":"2480096f-b710-4efa-90bc-b05d85cc4fb3","stageUrl":null,"fillingId":"dcff57fd-d8c9-40fa-b171-c26b81db21ed","fillingUrl":null,"userId":"551ad333-d76a-4153-a9e7-ae06393f3878","userUrl":null,"status":"Approved","reviewDateTime":"2026-06-09T19:11:55.1801745+00:00","creationDateTime":"2026-06-09T19:11:55.1801745+00:00","lastModifiedDateTime":"2026-06-11T19:11:55.1801745+00:00"},{"id":"a775c85b-02e4-4fdb-8e2b-5cf056b3b3b4","url":null,"stageId":"a0cb7a69-ba1c-4abd-afea-4dfa90e4f2c3","stageUrl":null,"fillingId":"9f5cf244-da19-46c3-8e81-484029fe8c4e","fillingUrl":null,"userId":null,"userUrl":null,"status":"Pending","reviewDateTime":null,"creationDateTime":"2026-06-09T19:11:55.1801745+00:00","lastModifiedDateTime":null}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   reviewDateTime datetimeoffset      
   stageId string / guid      
   stageUrl string      
   status string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string